import type { TdColProps, TdRowProps } from './type';
import './style';
export declare type ColProps = TdColProps;
export declare type RowProps = TdRowProps;
export * from './type';
export declare const Col: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    size: string;
}, {
    updateSize(): void;
    parseFlex(flex: string | number): string;
    calcColPadding(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): {};
}, {
    classes: import("..").ClassName;
}, {
    flex: string | number;
    lg: number | import("./type").BaseColProps;
    md: number | import("./type").BaseColProps;
    offset: number;
    order: number;
    pull: number;
    push: number;
    sm: number | import("./type").BaseColProps;
    span: number;
    tag: string;
    xl: number | import("./type").BaseColProps;
    xs: number | import("./type").BaseColProps;
    xxl: number | import("./type").BaseColProps;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    size: string;
}, {
    updateSize(): void;
    parseFlex(flex: string | number): string;
    calcColPadding(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): {};
}, {
    classes: import("..").ClassName;
}, {
    flex: string | number;
    lg: number | import("./type").BaseColProps;
    md: number | import("./type").BaseColProps;
    offset: number;
    order: number;
    pull: number;
    push: number;
    sm: number | import("./type").BaseColProps;
    span: number;
    tag: string;
    xl: number | import("./type").BaseColProps;
    xs: number | import("./type").BaseColProps;
    xxl: number | import("./type").BaseColProps;
}>>;
export declare const Row: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    size: string;
}, {
    updateSize(): void;
    handleIE(): void;
    calcRowStyle(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): import("..").Styles;
    rowGap(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): number;
}, {
    classes: import("..").ClassName;
}, {
    align: "center" | "end" | "start" | "top" | "bottom" | "middle" | "baseline" | "stretch";
    gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[];
    justify: "center" | "end" | "start" | "space-around" | "space-between";
    tag: string;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    size: string;
}, {
    updateSize(): void;
    handleIE(): void;
    calcRowStyle(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): import("..").Styles;
    rowGap(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): number;
}, {
    classes: import("..").ClassName;
}, {
    align: "center" | "end" | "start" | "top" | "bottom" | "middle" | "baseline" | "stretch";
    gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[];
    justify: "center" | "end" | "start" | "space-around" | "space-between";
    tag: string;
}>>;
declare const _default: {
    Row: import("vue/types/vue").ExtendedVue<{
        classPrefix: string;
        componentName: string;
        commonSizeClassName: Record<string, string>;
        commonStatusClassName: Record<string, string>;
    } & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
        size: string;
    }, {
        updateSize(): void;
        handleIE(): void;
        calcRowStyle(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): import("..").Styles;
        rowGap(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): number;
    }, {
        classes: import("..").ClassName;
    }, {
        align: "center" | "end" | "start" | "top" | "bottom" | "middle" | "baseline" | "stretch";
        gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[];
        justify: "center" | "end" | "start" | "space-around" | "space-between";
        tag: string;
    }> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
        classPrefix: string;
        componentName: string;
        commonSizeClassName: Record<string, string>;
        commonStatusClassName: Record<string, string>;
    } & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
        size: string;
    }, {
        updateSize(): void;
        handleIE(): void;
        calcRowStyle(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): import("..").Styles;
        rowGap(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): number;
    }, {
        classes: import("..").ClassName;
    }, {
        align: "center" | "end" | "start" | "top" | "bottom" | "middle" | "baseline" | "stretch";
        gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[];
        justify: "center" | "end" | "start" | "space-around" | "space-between";
        tag: string;
    }>>;
    Col: import("vue/types/vue").ExtendedVue<{
        classPrefix: string;
        componentName: string;
        commonSizeClassName: Record<string, string>;
        commonStatusClassName: Record<string, string>;
    } & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
        size: string;
    }, {
        updateSize(): void;
        parseFlex(flex: string | number): string;
        calcColPadding(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): {};
    }, {
        classes: import("..").ClassName;
    }, {
        flex: string | number;
        lg: number | import("./type").BaseColProps;
        md: number | import("./type").BaseColProps;
        offset: number;
        order: number;
        pull: number;
        push: number;
        sm: number | import("./type").BaseColProps;
        span: number;
        tag: string;
        xl: number | import("./type").BaseColProps;
        xs: number | import("./type").BaseColProps;
        xxl: number | import("./type").BaseColProps;
    }> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
        classPrefix: string;
        componentName: string;
        commonSizeClassName: Record<string, string>;
        commonStatusClassName: Record<string, string>;
    } & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
        size: string;
    }, {
        updateSize(): void;
        parseFlex(flex: string | number): string;
        calcColPadding(gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[], currentSize: string): {};
    }, {
        classes: import("..").ClassName;
    }, {
        flex: string | number;
        lg: number | import("./type").BaseColProps;
        md: number | import("./type").BaseColProps;
        offset: number;
        order: number;
        pull: number;
        push: number;
        sm: number | import("./type").BaseColProps;
        span: number;
        tag: string;
        xl: number | import("./type").BaseColProps;
        xs: number | import("./type").BaseColProps;
        xxl: number | import("./type").BaseColProps;
    }>>;
};
export default _default;
